FROM amd64/debian:stretch

RUN echo "deb http://deb.debian.org/debian stretch-backports main contrib non-free # available after stretch release" > /etc/apt/sources.list.d/stretch-backports.list && \
    apt-get update && \
    apt-get -qq -y full-upgrade && \
    apt-get install -y postgresql-all golang-1.11 git && \
    export GOPATH=/usr/local/go && \
    mkdir -p /usr/local/go/src/github.com/sorintlab && \
    cd /usr/local/go/src/github.com/sorintlab && \
    git clone --depth=1 https://github.com/sorintlab/stolon && \
    ln -s /usr/lib/go-1.11/bin/go /usr/bin/go && \
    ln -s /usr/lib/go-1.11/bin/gofmt /usr/bin/gofmt && \
    cd ./stolon && \
    ./build && \
    mv /usr/local/go/src/github.com/sorintlab/stolon/bin/* /usr/local/bin/ && \
    rm -rf /usr/local/go

USER postgres

